Bug 446496 - ipa-server-selinux package missing vital dependency
ipa-server-selinux package missing vital dependency
Status: CLOSED CURRENTRELEASE
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Rob Crittenden
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-05-14 16:42 EDT by Benjamin Kahn
Modified: 2015-01-04 18:32 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.0-6.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-17 18:24:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Benjamin Kahn 2008-05-14 16:42:02 EDT
Description of problem:
ipa-server-selinux package missing vital dependency
The ipa-server-selinux package needs to depend on "selinux-policy-base" to make
sure that selinux is installed and working before it is installed.  If it isn't,
then the postinstall script of ipa-server will fail

Version-Release number of selected component (if applicable):
ipa-server-1.0.0-1.fc8
ipa-server-selinux-1.0.0-1.fc8

How reproducible:
Can be easily reproduced if you install as part of the OS install

Actual results:

Installing ipa-server-selinux - 1.0.0-1.fc8.x86_64
semodule: SELinux policy is not managed or store cannot be accessed.
[...]
Installing ipa-server - 1.0.0-1.fc8.x86_64
No such file or directory
error: %post(ipa-server-1.0.0-1.fc8.x86_64) scriptlet failed, exit status 1
[...]
Installing selinux-policy-targeted - 3.0.8-98.fc8.noarch
libsepol.sepol_genbools_array: boolean cron_can_relabel no longer in policy

Expected results:
Install with no problems
Installing selinux-policy-targeted - 3.0.8-98.fc8.noarch
Installing ipa-server-selinux - 1.0.0-1.fc8.x86_64
Installing ipa-server - 1.0.0-1.fc8.x86_64

Additional info:
You can also depend on "selinux-policy-targeted" instead if required.
Comment 1 Daniel Walsh 2008-05-15 12:05:16 EDT
Require(post): selinux-policy-base

Comment 2 Fedora Update System 2008-05-15 23:39:35 EDT
ipa-1.0.0-6.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-05-16 10:57:16 EDT
ipa-1.0.0-3.fc7 has been submitted as an update for Fedora 7
Comment 4 Fedora Update System 2008-05-16 10:57:55 EDT
ipa-1.0.0-3.fc8 has been submitted as an update for Fedora 8
Comment 5 Fedora Update System 2008-05-17 18:18:46 EDT
ipa-1.0.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2008-05-17 18:22:14 EDT
ipa-1.0.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-05-17 18:24:45 EDT
ipa-1.0.0-6.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.